Bug 1465006 - Review Request: python-netmiko - Multi-vendor library to simplify Paramiko SSH connections to network devices
Review Request: python-netmiko - Multi-vendor library to simplify Paramiko SS...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-PIKE 1474770
  Show dependency treegraph
 
Reported: 2017-06-26 08:12 EDT by Dmitry Tantsur
Modified: 2017-08-02 16:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 12:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Tantsur 2017-06-26 08:12:51 EDT
Spec URL: https://github.com/dtantsur/netmiko-distgit/blob/master/python-netmiko.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/4215/20184215/python-netmiko-1.4.1-1.fc27.src.rpm
Description: Multi-vendor library to simplify Paramiko SSH connections to network devices
Fedora Account System Username: divius

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20184214
Comment 1 Alan Pevec 2017-06-26 08:27:34 EDT
Just wondering what is the relationship to Ansible Networking http://docs.ansible.com/ansible/intro_networking.html
?
Comment 2 Dmitry Tantsur 2017-06-26 08:34:39 EDT
No relationship.

There were some discussions about replacing networking-generic-switch (which uses netmiko) with a new ML2 driver based on ansible-networking. But it's still on the "discussions" phase.

At least for Ocata and Pike, we have to live with n-g-s.
Comment 5 Haïkel Guémar 2017-06-26 09:20:55 EDT
Looks good, but to make RDO imports easier, I suggest:
1. moving BR: python*-devel under the appropriate subpackages
2. enclose python3 specific directives with py3 guards as EL7 has no python3 interpreter.
%if 0%{?fedora}
%global with_python3 1
%endif

%if 0%{?with_python3}
...
%endif
Comment 8 Haïkel Guémar 2017-07-24 11:04:33 EDT
Approved, please proceed with packageDB request



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 91 files have
     unknown license. Detailed output of licensecheck in
     /home/haikel/1465006-python-netmiko/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-netmiko , python3-netmiko
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     Packager did his work and requested upstream to ship unit tests in tarball (kudos!)
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-netmiko-1.4.1-1.fc27.noarch.rpm
          python3-netmiko-1.4.1-1.fc27.noarch.rpm
          python-netmiko-1.4.1-1.fc27.src.rpm
python2-netmiko.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python2-netmiko.noarch: W: spelling-error %description -l en_US Multi -> Mulch, Mufti
python2-netmiko.noarch: E: description-line-too-long C Multi-vendor library to simplify Paramiko SSH connections to network devices - package for Python 2.
python3-netmiko.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python3-netmiko.noarch: W: spelling-error %description -l en_US Multi -> Mulch, Mufti
python3-netmiko.noarch: E: description-line-too-long C Multi-vendor library to simplify Paramiko SSH connections to network devices - package for Python 3.
python-netmiko.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python-netmiko.src: W: spelling-error %description -l en_US Multi -> Mulch, Mufti
3 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python3-netmiko.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python3-netmiko.noarch: W: spelling-error %description -l en_US Multi -> Mulch, Mufti
python3-netmiko.noarch: E: description-line-too-long C Multi-vendor library to simplify Paramiko SSH connections to network devices - package for Python 3.
python2-netmiko.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python2-netmiko.noarch: W: spelling-error %description -l en_US Multi -> Mulch, Mufti
python2-netmiko.noarch: E: description-line-too-long C Multi-vendor library to simplify Paramiko SSH connections to network devices - package for Python 2.
2 packages and 0 specfiles checked; 2 errors, 4 warnings.



Requires
--------
python3-netmiko (rpmlib, GLIBC filtered):
    python(abi)
    python3-PyYAML
    python3-paramiko
    python3-scp

python2-netmiko (rpmlib, GLIBC filtered):
    PyYAML
    python(abi)
    python2-paramiko
    python2-scp



Provides
--------
python3-netmiko:
    python3-netmiko
    python3.6dist(netmiko)
    python3dist(netmiko)

python2-netmiko:
    python-netmiko
    python2-netmiko
    python2.7dist(netmiko)
    python2dist(netmiko)



Source checksums
----------------
https://pypi.io/packages/source/n/netmiko/netmiko-1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 89299e8df26a2d460c448e0e7adab1e1009478f20af7ac0d0a8e2e7e9a358f23
  CHECKSUM(SHA256) upstream package : 89299e8df26a2d460c448e0e7adab1e1009478f20af7ac0d0a8e2e7e9a358f23


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1465006 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Gwyn Ciesla 2017-07-24 11:48:12 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-netmiko
Comment 10 Fedora Update System 2017-07-25 07:19:36 EDT
python-netmiko-1.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e436a5eae2
Comment 11 Fedora Update System 2017-07-25 18:54:27 EDT
python-netmiko-1.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a633f7e6be
Comment 12 Fedora Update System 2017-07-25 21:19:40 EDT
python-netmiko-1.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e436a5eae2
Comment 13 Fedora Update System 2017-08-02 12:49:56 EDT
python-netmiko-1.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-08-02 16:51:20 EDT
python-netmiko-1.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.